#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%define		pdir	Data
%define		pnam	UUID
Summary:	Data::UUID - Perl extension for generating GUIDs/UUIDs
Summary(pl.UTF-8):	Data::UUID - rozszerzenie Perla do generowania GUID-ów/UUID-ów
Name:		perl-Data-UUID
Version:	1.224
Release:	5
License:	distributable
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Data/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	71510bbcce760c394591fca83a9b5e6d
Patch0:		%{name}-types.patch
URL:		http://search.cpan.org/dist/Data-UUID/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a framework for generating UUIDs (Universally
Unique Identifiers, also known as GUIDs (Globally Unique Identifiers).
A UUID is 128 bits long, and is guaranteed to be different from all
other UUIDs/GUIDs generated until 3400 A.D. UUIDs were originally used
in the Network Computing System (NCS) and later in the Open Software
Foundation's (OSF) Distributed Computing Environment. Currently many
different technologies rely on UUIDs to provide unique identity for
various software components.

%description -l pl.UTF-8
Moduł Perla Data::UUID udostępnia szkielet do generowania UUID-ów
(Universally Unique Identifiers - identyfikatorów unikalnych
powszechnie), znanych też jako GUID-y (Globally Unique Identifiers -
identyfikatory unikalne globalnie). UUID-y są 128-bitowe i
gwarantowana jest ich unikalność wśród wszyskich innych UUID-ów/
/GUID-ów wygenerowanych do roku 3400. UUID-y pierwotnie były używane w
Network Computing System (NCS), a później w Rozproszonym Środowisku
Obliczeniowym (Distributed Computing Environment) Fundacji Open
Software (OSF). Obecnie na zagwarantowanych przez UUID-y unikalnych
identyfikatorach dla różnych składników oprogramowania opartych jest
wiele różnych technologii

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL </dev/null \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Data/UUID.pm
%dir %{perl_vendorarch}/auto/Data/UUID
%attr(755,root,root) %{perl_vendorarch}/auto/Data/UUID/UUID.so
%{_mandir}/man3/*
%changelog
* Mon Aug 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Data-UUID.git;a=log;h=master

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 6b4ab1d
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> dec26c8
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 6e34868
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 3eb299f
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> a8b11c9
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 4cc84d6
- up to 1.224

* Tue Aug 28 2018 Marcin Krol <hawk@tld-linux.org> cc52c4e
- updated to 1.221

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 07c6290
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 539b2a7
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 2d6baae
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> fa3e917
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 1b7bb16
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> e17060d
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 6a1cc6a
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> bdea9ba
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> ab7ed92
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Wed Jan 25 2012 zbyniu <zbyniu@pld-linux.org> 95fc023
- up to 1.217

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 9e399fa
- rel 4

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 6398508
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4361490
- release 2

